Bug 250275 - net/whois: Update to 5.5.7
Summary: net/whois: Update to 5.5.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rainer Hurling
URL: https://github.com/rfc1036/whois
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-11 15:47 UTC by Juraj Lutter
Modified: 2020-10-20 16:47 UTC (History)
2 users (show)

See Also:
coco: maintainer-feedback+


Attachments
net/whois: Update to 5.5.7 (3.30 KB, patch)
2020-10-11 15:47 UTC, Juraj Lutter
no flags Details | Diff
net/whois: Update to 5.5.7 (8.39 KB, patch)
2020-10-15 09:45 UTC, Juraj Lutter
no flags Details | Diff
net/whois: Update to 5.5.7 (8.31 KB, patch)
2020-10-15 09:50 UTC, Juraj Lutter
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Juraj Lutter 2020-10-11 15:47:13 UTC
Created attachment 218668 [details]
net/whois: Update to 5.5.7

Hi,

please find the patch attached.

Changes for 5.5.7:
  * Implemented support for CIDR queries to whois.arin.net.
    The old behaviour caused the server to return no results, now when
    querying for ip/length the server returns a result if there is an
    exact match.
  * Added the .ao, .bh, .mm, and .xn--pgbs0dh (Tunisia) TLD servers.
  * Added some .ru and .su SLD servers.
  * Updated the .th and .xn--o3cw4h TLD servers.
  * Updated the .cy, .jo, .lb, .np, .xn--mgbayh7gpa and .xn--qxam TLD URLs.
  * Updated the charset for whois.ati.tn.
  * Updated the list of new gTLDs.
Comment 1 Rainer Hurling freebsd_committer 2020-10-12 19:02:34 UTC
Hi Juraj,

Thanks for the patch. 

When I try to build it with DEVELOPER=yes in /etc/make.conf, I get an error and a warning:


====> Running Q/A tests (stage-qa)
Error: /usr/local/bin/mwhois is linked to /usr/local/lib/libidn2.so.0 from dns/libidn2 but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libidn2.so:dns/libidn2
Warning: Possible REINPLACE_CMD issues:
- - REINPLACE_CMD ran, but did not modify file contents: whois.1
- - REINPLACE_CMD ran, but did not modify file contents: whois.1
- - REINPLACE_CMD ran, but did not modify file contents: whois.1
- - REINPLACE_CMD ran, but did not modify file contents: whois.conf.5
- - REINPLACE_CMD ran, but did not modify file contents: whois.conf.5
- - REINPLACE_CMD ran, but did not modify file contents: whois.conf.5


Could you please have a look at it and prepare an updated patch? 

Thanks in advance,
Rainer
Comment 2 Juraj Lutter 2020-10-15 09:45:38 UTC
Created attachment 218754 [details]
net/whois: Update to 5.5.7

Updated patch, with regenerated patches, fixed pkg-plist.
Comment 3 Juraj Lutter 2020-10-15 09:50:09 UTC
Created attachment 218755 [details]
net/whois: Update to 5.5.7

Fixed the last bits that causes REINPLACE to yield an error.
Comment 4 Rainer Hurling freebsd_committer 2020-10-18 06:59:54 UTC
(In reply to Juraj Lutter from comment #3)

Thanks for the updated version. It build and works fine, as far as I can say.


What do you think about exchanging the URL in pkg-descr for
https://github.com/rfc1036/whois ?
Comment 5 Juraj Lutter 2020-10-18 19:43:41 UTC
I don't mind at all, opposite is true. It's desirable to change the WWW. Thanks.
Comment 6 Rainer Hurling freebsd_committer 2020-10-19 06:08:03 UTC
(In reply to Juraj Lutter from comment #5)

Thanks for the reply. The patch seems ready so far.

Now we have to wait for the maintainers feedback ;)
Comment 7 Marco Steinbach 2020-10-19 14:53:40 UTC
Hi there.

Thanks a bunch for taking care of the update :) Works for me.

While I like the project listing and links given at the current URL, the Github link displays more information on the whois client itself. I'm therefore quite indifferent about changing the URL. If you feel the Github link to be more apropriate, then I'll approve of you changing the URL in pkg-desc.
Comment 8 Juraj Lutter 2020-10-19 14:57:18 UTC
Hi,

yes, I feel like it's more apropriate (according to my talks with Marco d'Itri on IRC).
Comment 9 Rainer Hurling freebsd_committer 2020-10-19 15:56:25 UTC
Hi Juraj, hi Marco,

I changed the URL in pkg-descr to the github one, because it is much more specific to the port. Hope this is ok.

FYI, a review[1] on Phabricator is just opened :)

[1] https://reviews.freebsd.org/D26861

Best wishes,
Rainer
Comment 10 Marco Steinbach 2020-10-19 16:47:17 UTC
I've never worked with Phabricator -- I've accepted the revision there after again running it through my own poudriere.

Thanks for taking care.
Comment 11 Rainer Hurling freebsd_committer 2020-10-19 17:04:27 UTC
(In reply to Marco Steinbach from comment #10)

Hi Marco,

The review in Phabricator is a process mainly for committers to have the patch reviewed by third parties. In my case these are arrowd and tcberner, who are my mentors.

So nothing where you have to take action ;)
Comment 12 Marco Steinbach 2020-10-19 18:08:52 UTC
Well, at least now I know, that it is entirely possible to unintentionally trigger "Add Action ..." when poking around in the interface :o)
Comment 13 Rainer Hurling freebsd_committer 2020-10-19 18:20:29 UTC
(In reply to Marco Steinbach from comment #12)

If I am not wrong, you 'Add action' did not result in any visible action ;)

I think this is because you have no account on Phabricator and are not listed as a reviewer for this patch (just a guess) ...

So nothing has gone wrong :)
Comment 14 Juraj Lutter 2020-10-19 18:22:37 UTC
Did you click "Submit"? If not, then the action was not submitted.
Comment 15 Marco Steinbach 2020-10-19 19:31:11 UTC
The interface tells me, that "coco_executive-computing.de accepted this revision."  (which is the username Phabricator automatically assigned to my account).

After having my account activated, I had a look at the choices in the "Add Action ..." dropdown menu, then switched to my poudriere window to apply and test the patch downloaded from Phabricator.

When switched back to the browser window, above mentioned message had been added to the page. So, my guess is, that I somehow triggered submission rather uninentionally, albeit with correct content.
Comment 16 Rainer Hurling freebsd_committer 2020-10-19 19:38:32 UTC
(In reply to Marco Steinbach from comment #15)

Interesting. On review D26861 this is not visible for me. No 'Approved' by coco@ or something else.

The only new entry I can see is from Juraj as a subscriber of this review :)
Comment 17 commit-hook freebsd_committer 2020-10-20 16:45:19 UTC
A commit references this bug:

Author: rhurlin
Date: Tue Oct 20 16:45:12 UTC 2020
New revision: 552830
URL: https://svnweb.freebsd.org/changeset/ports/552830

Log:
  net/whois: Update to 5.5.7

  Changes for 5.5.7[1]:
    * Implemented support for CIDR queries to whois.arin.net
      The old behaviour caused the server to return no results, now when
      querying for ip/length the server returns a result if there is an
      exact match
    * Added the .ao, .bh, .mm, and .xn--pgbs0dh (Tunisia) TLD servers
    * Added some .ru and .su SLD servers
    * Updated the .th and .xn--o3cw4h TLD servers
    * Updated the .cy, .jo, .lb, .np, .xn--mgbayh7gpa and .xn--qxam TLD URLs
    * Updated the charset for whois.ati.tn
    * Updated the list of new gTLDs

  [1] https://github.com/rfc1036/whois/commit/7f9fdae2a99c9a56959b37049488f94e8bdfa7c2

  PR:		250275
  Submitted by:	Juraj Lutter <juraj@lutter.sk>
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D26861

Changes:
  head/net/whois/Makefile
  head/net/whois/distinfo
  head/net/whois/files/patch-po_Makefile
  head/net/whois/files/patch-whois.1
  head/net/whois/files/patch-whois.conf.5
  head/net/whois/pkg-descr
  head/net/whois/pkg-plist
Comment 18 Rainer Hurling freebsd_committer 2020-10-20 16:47:51 UTC
Committed, thanks :)